#!/bin/bash

#Löscht alle "*.tar.gz" und "*.sql" Dateien die älter als 14 Tage sind:
find -P "/mnt/storage-bx20/data-nextcloud/bmen/files/Server/Hetzner-Cloud-CX21/hedgedoc/"  -maxdepth 1 -type f \( -name '*.tar.gz' \) -ctime +14 -exec rm {} \;
find -P "/mnt/storage-bx20/data-nextcloud/bmen/files/Server/Hetzner-Cloud-CX21/hedgedoc/"  -maxdepth 1 -type f \( -name '*.sql' \) -ctime +14 -exec rm {} \;

#Zur Sicherheit noch einen SQL-Dump der Datenbank
docker exec -i hedgedoc-db pg_dump codimd -U codimd > /mnt/storage-bx20/data-nextcloud/bmen/files/Server/Hetzner-Cloud-CX21/hedgedoc/hedgedoc-`date '+%Y%m%d%H%M'`.sql

#Die Docker Container stoppen und die Datenverzeichnisse komprimieren und wegkopieren
cd /root/deployments/hedgedoc/
docker-compose down
cd /opt/appdata/
tar cvf /mnt/storage-bx20/data-nextcloud/bmen/files/Server/Hetzner-Cloud-CX21/hedgedoc/hedgedoc-`date '+%Y%m%d%H%M'`.tar.gz hedgedoc/

#Nextcloud Datenbank über die Dateiänderung Bescheid geben
docker exec --user www-data nextcloud php occ files:scan -p bmen/files/Server/Hetzner-Cloud-CX21/hedgedoc/